import { Repository } from "typeorm";
import { Coupon } from "../../common/coupon/coupon.entity";
import { CreateCouponDto, UpdateCouponDto } from "./coupon.dto";
export declare class AdminCouponService {
    private readonly couponRepository;
    constructor(couponRepository: Repository<Coupon>);
    create(CreateCouponDto: CreateCouponDto): Promise<Coupon>;
    findAll(): Promise<Coupon[]>;
    findOne(id: number): Promise<Coupon>;
    update(id: number, UpdateCouponDto: UpdateCouponDto): Promise<Coupon>;
    remove(id: number): Promise<void>;
}
